Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema.constants
Class Enum

    java.lang.Object
      org.apache.ws.commons.schema.constants.Enum

Direct Known Subclasses:
  XmlSchemaContentProcessing, XmlSchemaContentType, XmlSchemaDerivationMethod, XmlSchemaForm, XmlSchemaUse, XmlSeverityType, XmlTokenizedType

    public abstract class Enum

extends java.lang.Object

Nested Class Summary
`static class` | `Enum.EnumValueException`

Field Summary
`static java.lang.String` | `NULL`
`protected java.lang.String` | `value`

Constructor Summary
`protected` | `Enum()`
`protected` | `Enum(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object what)`
`java.lang.String` | `getValue()`
`protected abstract java.lang.String[]` | `getValues()`
`protected static int` | `index(java.lang.String value, java.lang.String[] values)`
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL

    public static java.lang.String NULL

### value

    protected java.lang.String value

Constructor Detail

### Enum

    protected Enum(java.lang.String value)

### Enum

    protected Enum()

Method Detail

### getValues

    protected abstract java.lang.String[] getValues()

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object what)

  Overrides:
    `equals` in class `java.lang.Object`

### index

    protected static final int index(java.lang.String value,
                                     java.lang.String[] values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.